﻿@using BlogApplication.Models
@model IEnumerable<BlogApplication.Models.Feedback>

@{
    ViewBag.Title = "Index";
}

<h2>FeedBacks</h2>

<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Author.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Text)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PublicationDate)
        </th>
    </tr>

    @foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Author.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Text)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PublicationDate)
            </td>
        </tr>
    }

</table>
@Html.Partial("PartialAdd", new Feedback() {AuthorId = 1})